Davix::DavixException Class Reference

Davix Exception class. More...

`#include <davixstatusrequest.hpp>`

Inheritance diagram for Davix::DavixException:

## Public Member Functions

| DavixException (const std::string &scope, StatusCode::Code c, const std::string &msg) throw ()
| Construct a DavixException.
| DavixException (DavixError **err)
| Create a DavixEception from a DavixError, err is considered as free and invalid after creation.
| DavixException (const DavixException &orig) throw ()
| Copy Constructor.
virtual const char * | scope () const throw ()
| return a string representation of the scope for this davix exception
virtual StatusCode::Code | code () const throw ()
| return the error code association to this DavixException, same than DavixError::getStatus()
virtual const char * | what () const throw ()
| return a string representation or the error
void | toDavixError (DavixError **err)
| Extract a DavixError from this exception.

## Protected Attributes

DavixError | e
DavixExceptionIntern * | d_ptr

## Detailed Description

Davix Exception class.

Contain a Davix Error

The documentation for this class was generated from the following file:

- /build/davix-EuTrY8/davix-0.8.10/include/davix/status/davixstatusrequest.hpp